Create Voice Clone
curl --request POST \
--url https://api.truedy.ai/api/public/v1/voices/clone \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"files": [
{
"filename": "<string>",
"data": "<string>",
"content_type": "audio/mpeg"
}
]
}
'import requests
url = "https://api.truedy.ai/api/public/v1/voices/clone"
payload = {
"name": "<string>",
"files": [
{
"filename": "<string>",
"data": "<string>",
"content_type": "audio/mpeg"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
files: [{filename: '<string>', data: '<string>', content_type: 'audio/mpeg'}]
})
};
fetch('https://api.truedy.ai/api/public/v1/voices/clone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"name": "<string>",
"provider": "<string>",
"type": "<string>",
"language": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"meta": {
"request_id": "<string>",
"ts": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "validation_error",
"message": "Missing required field: name",
"details": {
"errors": []
}
},
"meta": {
"request_id": "req_01JEXAMPLE",
"ts": "2026-08-21T00:00:00Z"
}
}{
"error": {
"code": "validation_error",
"message": "Missing required field: name",
"details": {
"errors": []
}
},
"meta": {
"request_id": "req_01JEXAMPLE",
"ts": "2026-08-21T00:00:00Z"
}
}{
"error": {
"code": "validation_error",
"message": "Missing required field: name",
"details": {
"errors": []
}
},
"meta": {
"request_id": "req_01JEXAMPLE",
"ts": "2026-08-21T00:00:00Z"
}
}{
"error": {
"code": "validation_error",
"message": "Missing required field: name",
"details": {
"errors": []
}
},
"meta": {
"request_id": "req_01JEXAMPLE",
"ts": "2026-08-21T00:00:00Z"
}
}{
"error": {
"code": "validation_error",
"message": "Missing required field: name",
"details": {
"errors": []
}
},
"meta": {
"request_id": "req_01JEXAMPLE",
"ts": "2026-08-21T00:00:00Z"
}
}Voices
Create Voice Clone
Create a voice clone from your audio files. Upload one or more MP3/WAV files (base64). Same flow as dashboard: clone via ElevenLabs then import to Ultravox. Requires credits.
POST
/
voices
/
clone
Create Voice Clone
Authorizations
Your API key. Send in the Authorization header as: Bearer
Body
application/json
⌘I

